Package writer2latex.latex

# Class StarMathConverter

java.lang.Object
writer2latex.latex.StarMathConverter

All Implemented Interfaces:
  `StarMathConverter`

public final class StarMathConverter extends Object implements StarMathConverter

## Constructor Summary

Constructors
Constructor
Description
`StarMathConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`String`
`convert(String sStarMath)`
Convert a StarMath formula
`Config`
`getConfig()`
Get the configuration used when converting.
`String`
`getPreamble()`
Create a suitable LaTeX preamble to process the formulas converted so far

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StarMathConverter

public StarMathConverter()

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### getConfig

public Config getConfig()
Description copied from interface: `StarMathConverter`
Get the configuration used when converting.

Specified by:
  `getConfig` in interface `StarMathConverter`
Returns:
  the configuration used by this converter

### getPreamble

public String getPreamble()
Description copied from interface: `StarMathConverter`
Create a suitable LaTeX preamble to process the formulas converted so far

Specified by:
  `getPreamble` in interface `StarMathConverter`
Returns:
  a string containg the entire LaTeX preamble

### convert

public String convert(String sStarMath)
Description copied from interface: `StarMathConverter`
Convert a StarMath formula

Specified by:
  `convert` in interface `StarMathConverter`
Parameters:
  `sStarMath` - is a string containing the StarMath formula
Returns:
  a string containing the converted LaTeX formula